set -x
set -e

if [ -z "$ATHENA_SYS" ]
then echo no ATHENA_SYS
false
fi

#important dont hash
set +h
date

#nice bash -c '/usr/bin/time -v bash all-build.sh' > /tmp/outcheck1 2>&1

if [ -e /var/tmp/unpack ]
then false
fi
mkdir /var/tmp/unpack
cd /var/tmp/unpack

if [ -r /afs/sipb/project/gcc-3.2/arch/$ATHENA_SYS ]
then false
fi

mkdir /afs/sipb/project/gcc-3.2/arch/$ATHENA_SYS
mkdir /afs/sipb/project/gcc-3.2/arch/$ATHENA_SYS/bin
mkdir /afs/sipb/project/gcc-3.2/arch/$ATHENA_SYS/real
mkdir /afs/sipb/project/gcc-3.2/arch/$ATHENA_SYS/sym

add -f gcc-3.2
add gnu
echo $PATH


#for i in /mit/gcc-3.2/src/current-tarballs/*.tar.gz
#do tar xzf $i
#done
for i in /mit/gcc-3.2/src/current-tarballs/*.tar.bz2
do bzcat $i | tar xf -
done


for ffname in texinfo-* make-* bison-* autoconf-* automake-* binutils-*
do bash /mit/gcc-3.2/src/scripts/single-build.sh $ffname
done

echo Kenta finished utilities

date
echo Kenta all done
