set -x
set -e

if [ -z "$ATHENA_SYS" ]
then echo no ATHENA_SYS
false
fi

#important dont hash
set +h

ffname=$1
shift
if [ -z $ffname ]
then false
fi

add -f gcc-3.2
add gnu
echo $PATH

pwd 
  cd $ffname

  echo Kenta start $ffname
  which -a info
  info --version
  which -a make
  make --version
  which -a bison
  bison --version
  which -a autoconf
  autoconf --version
  which -a automake
  automake --version
  which -a ld
  ld --version
  which -a gcc
  gcc --version


  ./configure --prefix=/afs/sipb.mit.edu/project/gcc-3.2/arch/$ATHENA_SYS/real/$ffname $@
  echo Kenta make $ffname
  /usr/bin/time -v make
  echo Kenta install $ffname
  make install
  echo Kenta check-exist $ffname
  
  bash /mit/gcc-3.2/src/scripts/ln-install2.sh $ffname

